****In this do file we provide code for Appendix OB where we 
****predict W10 attitude strength with W1 strength controlled for




***Attitude Importance
	***Party disagreement
		drop _est_*
		eststo clear
		eststo: regress samesex10imp samesex1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store SameSexPD1
		eststo: regress richtaxes10imp richtaxes1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store RichTaxesPD1
		eststo: regress drugs10imp drugs1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store DrugsPD1
		eststo: regress medic10imp medic1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store MedicPD1
		eststo: regress habeas10imp habeas1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store HabeasPD1
		eststo: regress phone10imp phone1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PhoneTapPD1
		eststo: regress illeg10imp illeg1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store IllegImmPD1
		eststo: regress path10imp path1imp c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PathwayPD1
		esttab using attimp_PD_w1_age2.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
	**General Disagreement***
		
		*with controls*
			eststo clear
			eststo: regress samesex10imp samesex1imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store SameSexPDG1
			eststo: regress richtaxes10imp richtaxes1imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store RichTaxesPDG1
			eststo: regress drugs10imp drugs1imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store DrugsPDG1
			eststo: regress medic10imp medic1imp  gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store MedicPDG1
			eststo: regress habeas10imp habeas1imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store HabeasPDG1
			eststo: regress phone10imp phone1imp  gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PhoneTapPDGG1
			eststo: regress illeg10imp illeg1imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
			estimates store IllegImmPDG1
			eststo: regress path10imp path1imp gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
			estimates store PathwayPDG1
			esttab using attimp_gendiff_w1.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)

***Attitude Extremity*		

	*Party Disagreement
		eststo clear
		eststo: regress samesex10ext samesex1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store SameSexPDEX1
		eststo: regress richtaxes10ext path1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store RichTaxesPDEX1
		eststo: regress drugs10ext drugs1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store DrugsPDEX1
		eststo: regress medic10ext medic1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store MedicPDEX1
		eststo: regress habeas10ext habeas1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store HabeasPDEX1
		eststo: regress phone10ext phone1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PhoneTapPDEX1
		eststo: regress illeg10ext illeg1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store IllegImmPDEX1
		eststo: regress path10ext path1ext c.pdiff_avg c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PathwayPDEX1
		esttab using attext_PDEX_withcontrolsw1.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
	
		
	*General disagreement
		eststo clear
		eststo: regress samesex10ext samesex1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store SameSexPDEXG1
		eststo: regress richtaxes10ext richtaxes1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store RichTaxesPDEXG1
		eststo: regress drugs10ext drugs1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store DrugsPDEXG1
		eststo: regress medic10ext medic1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store MedicPDEXG1
		eststo: regress habeas10ext habeas1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store HabeasPDEXG1
		eststo: regress phone10ext phone1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PhoneTapPDEXGG1
		eststo: regress illeg10ext illeg1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ  [pweight = WGTL10]
		estimates store IllegImmPDEXG1
		eststo: regress path10ext path1ext gendiff c.interest10 c.pid10 c.ideology10 i.gender c.age c.age#c.age c.educ c.income i.race c.network_genderh c.network_denom c.race_network c.network_size c.network_close c.network_interest c.network_educ [pweight = WGTL10]
		estimates store PathwayPDEXG1
		esttab using attext_gendiff_w1.rtf, onecell label se ar2 star(+ 0.10 * 0.05 ** 0.01) addnotes(Results are from OLS models. Cell entries are unstandardized coefficients. Analyses are weighted (wgtL10).)
						

						
						
***Creating the Graph***
	*PD Both*
	
		coefplot (SameSexPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "SS Marriage") mlabposition(12))(RichTaxesPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Taxes on Rich") mlabposition(12)) (DrugsPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Gov't Pay for Senior Drugs") mlabposition(12))	(MedicPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Gov't Pay for Medical Care") mlabposition(12)) (HabeasPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) (PhoneTapPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Court Order for Wiretaps") mlabposition(12)) (IllegImmPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Illeg. Immigrants Work Rights") mlabposition(12))(PathwayPD1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Pathway to Citizenship") mlabposition(12)) || (SameSexPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "SS Marriage") mlabposition(12))(RichTaxesPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Taxes on Rich") mlabposition(12)) (DrugsPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Gov't Pay for Senior Drugs") mlabposition(12))	(MedicPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Gov't Pay for Medical Care") mlabposition(12)) (HabeasPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) (PhoneTapPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Court Order for Wiretaps") mlabposition(12)) (IllegImmPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Illeg. Immigrants Work Rights") mlabposition(12))(PathwayPDEX1, mlabsize(vsmall) mlabels(pdiff_avg = 1 "Pathway to Citizenship") mlabposition(12)) ||  ,	keep(pdiff_avg) xline(0) level(95 90) 
			graph save "parisan disagreement - with w1.gph"
	
	*Gen Diff - Both*
						
		coefplot (SameSexPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "SS Marriage") mlabposition(12))(RichTaxesPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Taxes on Rich") mlabposition(12)) (DrugsPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Senior Drugs") mlabposition(12))	(MedicPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Medical Care") mlabposition(12)) (HabeasPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) (PhoneTapPDGG1, mlabsize(vsmall) mlabels(gendiff = 1 "Court Order for Wiretaps") mlabposition(12)) (IllegImmPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Illeg. Immigrants Work Rights") mlabposition(12))(PathwayPDG1, mlabsize(vsmall) mlabels(gendiff = 1 "Pathway to Citizenship") mlabposition(12))  || (SameSexPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "SS Marriage") mlabposition(12))(RichTaxesPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Taxes on Rich") mlabposition(12)) (DrugsPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Senior Drugs") mlabposition(12))	(MedicPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Gov't Pay for Medical Care") mlabposition(12)) (HabeasPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Habeas Rights for Terror Suspects") mlabposition(12)) (PhoneTapPDEXGG1, mlabsize(vsmall) mlabels(gendiff = 1 "Court Order for Wiretaps") mlabposition(12)) (IllegImmPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Illeg. Immigrants Work Rights") mlabposition(12))(PathwayPDEXG1, mlabsize(vsmall) mlabels(gendiff = 1 "Pathway to Citizenship") mlabposition(12)) || , keep(gendiff) xline(0) level(95 90)
		graph save Graph "general disagreement - with w1.gph"
		
		graph combine "parisan disagreement - with w1.gph" "general disagreement - with w1.gph"
		*titles added via graph editor*


						